Skip to main content
`Ctrl`+`K`

# EPSLyapIIGetRanks

Return the rank values used for the Lyapunov step.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLyapIIGetRanks(EPS eps,PetscInt *rkc,PetscInt *rkl)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- rkc - the compressed rank

- rkl - the Lyapunov rank

## See Also

EPS: Eigenvalue Problem Solver, `EPSLYAPII`, `EPSLyapIISetRanks()`

## Level

intermediate

## Location

src/eps/impls/lyapii/lyapii.c

## Implementations

EPSLyapIIGetRanks_LyapII() in src/eps/impls/lyapii/lyapii.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages